Name:           scim-input-pad
Version:        0.1.1
Release:        1%{?dist}
Summary:        On-screen Input Pad for SCIM

Group:          System Environment/Libraries
License:        GPL
URL:            http://www.scim-im.org/
Source0:        http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  scim-devel
Requires:       scim

%description
Scim-input-pad is an on-screen input pad used to input symbols easily.

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

rm ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/Helper/input-pad.la
rm ${RPM_BUILD_ROOT}/%{_libdir}/libscim-input-pad.{la,so}

%find_lang %{name}


%clean
rm -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/scim-input-pad
%{_libdir}/libscim-input-pad.so.*
%{_libdir}/scim-1.0/Helper/input-pad.so
%{_datadir}/scim/icons/input-pad.png
%dir %{_datadir}/scim/input-pad/
%{_datadir}/scim/input-pad/*


%changelog
* Fri Dec 23 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net>
- update to 0.1.1
- get rid of the patch for irregal casting

* Sat Oct 22 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net>
- reimport sourcefiles.

* Sat Oct 8 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net>
- initial packaging for Extras.
- add scim-input-pad-0.1.0-casts.patch from cvs to fix build on gcc4

* Sat Mar 5 2005 James Su <suzhe@tsinghua.org.cn>
- first release of scim-input-pad.
